aboutsummaryrefslogtreecommitdiffstats
path: root/build-aux/build-static-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/build-static-all.sh')
-rwxr-xr-xbuild-aux/build-static-all.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/build-aux/build-static-all.sh b/build-aux/build-static-all.sh
new file mode 100755
index 0000000..dd7c243
--- /dev/null
+++ b/build-aux/build-static-all.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -ex
+
+DESTDIR="${PN}-${TARGET}-${PV}"
+
+${MAKE_CMD:-make} LDFLAGS="-all-static"
+${MAKE_CMD:-make} DESTDIR="${PWD}/root/${DESTDIR}" install
+install -m 644 ../LICENSE "root/${DESTDIR}/LICENSE"
+
+pushd root > /dev/null
+tar -cvJf "../${DESTDIR}.tar.xz" .
+popd > /dev/null